Skip to main content
PUT
Update Category
Update an existing category. This is a full object replacement; all fields must be provided in the request body.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

categoryId
integer
required

The unique category ID to update.

Body

application/json
name
string
required

Name of the category.

status
enum<string>
required

Status of the category.

Available options:
active,
inactive

Response

An offer category in the network.

network_category_id
integer

Unique category ID.

network_id
integer

Network ID this category belongs to.

name
string

Category name.

status
enum<string>

Category status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015